import n from "./index-classCallCheck.js";
import l from "./index-createClass.js";
import e from "./index-defineProperty.js";
import { ValueSetter as v } from "./index-Setter.js";
var m = /* @__PURE__ */ (function() {
  function t() {
    n(this, t), e(this, "incompatibleTokens", void 0), e(this, "priority", void 0), e(this, "subPriority", void 0);
  }
  return l(t, [{
    key: "run",
    value: function(i, o, s, u) {
      var r = this.parse(i, o, s, u);
      return r ? {
        setter: new v(r.value, this.validate, this.set, this.priority, this.subPriority),
        rest: r.rest
      } : null;
    }
  }, {
    key: "validate",
    value: function(i, o, s) {
      return !0;
    }
  }]), t;
})();
export {
  m as Parser
};
